Skip to main content
`Ctrl`+`K`

# LMEMonitorFn

A function prototype for functions provided to `LMEMonitorSet()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode LMEMonitorFn(LME lme,PetscInt its,PetscReal errest,void *ctx);

## Calling Sequence

- lme - the linear matrix equation solver context

- its - iteration number

- errest - error estimate

- ctx - optional monitoring context, as provided with `LMEMonitorSet()`

## See Also

LME: Linear Matrix Equation, `LMEMonitorSet()`

## Level

intermediate

## Location

include/slepclme.h

Index of all LME routines Table of Contents for all manual pages Index of all manual pages